# coding: utf-8

from django.utils.translation import ugettext_lazy as _

#: confirmation/thank-you email sender
TRACEREQUEST_CMSPLUGIN_EMAIL_SENDER = (
    ('info@acomea.it', 'info@acomea.it',),
)

#: form template
TRACEREQUEST_CMSPLUGIN_FORM_TEMPLATES = (
    ('bootstrap3/tracerequest/cms_plugins/tracerequest_form.html', _('B3 - tracerequest form template'),),
    ('bootstrap3/tracerequest/cms_plugins/footer_tracerequest_form.html', _('B3 - footer tracerequest form template'),),
    ('bootstrap3/tracerequest/cms_plugins/engagement_tracerequest_form.html', _('B3 - engagement tracerequest form template'),),
    ('gimme5/tracerequest/cms_plugins/gimme5_registration_form.html', _('Gimme5 - tracerequest form template'),),
    ('gimme5/campaign/faicomeilfai/tracerequest/cms_plugins/faicomeilfai_registration_form.html',
     _('Fai come il Fai - tracerequest form template'),),
    ('gimme5/campaign/daiundiecialverde/tracerequest/cms_plugins/daiundiecialverde_registration_form.html',
     _('Dai un dieci al verde - tracerequest form template'),),
    ('pir/tracerequest/cms_plugins/tracerequest_form.html', _('PIR - tracerequest form template'),),

)

TRACEREQUEST_CMSPLUGIN_GIMME5_CAMPAIGN_FORM_TEMPLATES = (
    ('gimme5/campaign/faicomeilfai/tracerequest/cms_plugins/faicomeilfai_registration_form.html', _('Fai come il Fai - tracerequest form template'),),
    ('gimme5/campaign/daiundiecialverde/tracerequest/cms_plugins/daiundiecialverde_registration_form.html', _('Dai un dieci al verde - tracerequest form template'),),
)

#: Setting of days duration token
TRACEREQUEST_TOKEN_DAYS_DURATION = 3

#: Authorisation choices
TRACEREQUEST_AUTH_CHOICES = (
    (1, _("Agree")),
    (0, _("Disagree")),
)

