# coding: utf-8

from django.conf.urls import url, patterns

from acomea.tracerequest import views

urlpatterns = patterns(
    '',
    url(
        r'^trace_request_post_registration/(?P<uidb36>[0-9A-Za-z]+)-(?P<token>[0-9A-Za-z]+)/$',
        views.TraceRequestPostRegistrationView.as_view(),
        name="trace_request_post_registration",
    ),
    url(
        r'^trace_request_post_social_login/$',
        views.trace_request_post_social_login_view,
        name="trace_request_post_social_login",
    ),
)
